com.aliyun.svideosdk.common.struct.common

## Class AliyunVideoParam

- java.lang.Object
- - com.aliyun.svideosdk.common.struct.common.AliyunVideoParam

- All Implemented Interfaces:
    java.io.Serializable

      public class AliyunVideoParam
      extends java.lang.Object
      implements java.io.Serializable

  合成导出视频的参数设置，该实例可通过`AliyunVideoParam.Builder`来创建
  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `AliyunVideoParam.AudioChannel`
    `static class` | `AliyunVideoParam.AudioSampleRate`
    `static class` | `AliyunVideoParam.Builder`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AliyunVideoParam()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `AliyunVideoParam.AudioChannel` | `getAudioChannel()` 获取音频通道数
    `AliyunVideoParam.AudioSampleRate` | `getAudioSampleRate()` 获取采样率
    `int` | `getBitrate()` 获取码率
    `int` | `getCrf()` 获取 crf
    `int` | `getFrameRate()` 获取帧率
    `int` | `getGop()` 获取GOP大小
    `int` | `getOutputHeight()` 获取视频输出高度
    `int` | `getOutputWidth()` 获取视频输出的宽度
    `VideoDisplayMode` | `getScaleMode()` 获取显示模式
    `float` | `getScaleRate()` 获取缩放比
    `VideoCodecs` | `getVideoCodec()` 获取编码格式
    `VideoQuality` | `getVideoQuality()` 获取视频质量
    `void` | `setAudioChannel(AliyunVideoParam.AudioChannel channel)` 设置音频通道数
    `void` | `setAudioSampleRate(AliyunVideoParam.AudioSampleRate sampleRate)` 设置采样率
    `void` | `setBitrate(int bitrate)` 设置码率
    `void` | `setCrf(int crf)` 设置ffmpeg crf值
    `void` | `setFrameRate(int frameRate)` 设置帧率
    `void` | `setGop(int gop)` 设置GOP大小
    `void` | `setOutputHeight(int outputHeight)` 设置视频输出高度
    `void` | `setOutputWidth(int outputWidth)` 设置视频输出宽度
    `void` | `setScaleMode(VideoDisplayMode scaleMode)` 设置显示模式
    `void` | `setScaleRate(float rate)` 设置缩放比
    `void` | `setVideoCodec(VideoCodecs videoCodec)` 设置编码格式
    `void` | `setVideoQuality(VideoQuality videoQuality)` 设置视频质量

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AliyunVideoParam

          public AliyunVideoParam()

  - ### Method Detail

    - #### getFrameRate

          public int getFrameRate()

      获取帧率
      Returns:
        帧率 int型

    - #### setFrameRate

          public void setFrameRate(int frameRate)

      设置帧率
      Parameters:
        `frameRate` - 帧率 范围 [1 - 120]

    - #### getGop

          public int getGop()

      获取GOP大小
      Returns:
        GOP数值

    - #### setGop

          public void setGop(int gop)

      设置GOP大小
      Parameters:
        `gop` - 设置GOP大小，该参数在硬编模式下不能精确应用于视频，如果对该参数敏感，请使用软编

    - #### setBitrate

          public void setBitrate(int bitrate)

      设置码率
      Parameters:
        `bitrate` - 码率

    - #### getBitrate

          public int getBitrate()

      获取码率
      Returns:
        码率值

    - #### getOutputWidth

          public int getOutputWidth()

      获取视频输出的宽度
      Returns:
        视频输出宽度

    - #### setOutputWidth

          public void setOutputWidth(int outputWidth)

      设置视频输出宽度
      Parameters:
        `outputWidth` - 视频输出宽度

    - #### getOutputHeight

          public int getOutputHeight()

      获取视频输出高度
      Returns:
        视频输出高度

    - #### setOutputHeight

          public void setOutputHeight(int outputHeight)

      设置视频输出高度
      Parameters:
        `outputHeight` - 视频输出高度

    - #### getCrf

          public int getCrf()

      获取 crf
      Returns:
        返回crf值

    - #### setCrf

          public void setCrf(int crf)

      设置ffmpeg crf值
      Parameters:
        `crf` - 视频质量因子，ffmpeg编码方式下有效，该值越小，视频清晰度越高，同时生成的文件大小越大。默认 23

    - #### getVideoCodec

          public VideoCodecs getVideoCodec()

      获取编码格式
      Returns:
        编码格式 `VideoCodecs`

    - #### setVideoCodec

          public void setVideoCodec(VideoCodecs videoCodec)

      设置编码格式
      Parameters:
        `videoCodec` - 编码格式 `VideoCodecs`

    - #### getVideoQuality

          public VideoQuality getVideoQuality()

      获取视频质量
      Returns:
        视频质量 `VideoQuality`

    - #### setVideoQuality

          public void setVideoQuality(VideoQuality videoQuality)

      设置视频质量
      Parameters:
        `videoQuality` - 视频质量`VideoQuality`

    - #### getScaleMode

          public VideoDisplayMode getScaleMode()

      获取显示模式
      Returns:
        显示模式 `VideoDisplayMode`

    - #### setScaleMode

          public void setScaleMode(VideoDisplayMode scaleMode)

      设置显示模式
      Parameters:
        `scaleMode` - 显示模式 `VideoDisplayMode`

    - #### setScaleRate

          public void setScaleRate(float rate)

      设置缩放比
      Parameters:
        `rate` - 输出视频缩放比，范围[0 - 1],该参数的目的是编辑的时候可以用高分辨率显示，输出的视频可以是低分辨率

    - #### getScaleRate

          public float getScaleRate()

      获取缩放比
      Returns:
        缩放比

    - #### getAudioSampleRate

          public AliyunVideoParam.AudioSampleRate getAudioSampleRate()

      获取采样率

      v3.34.0 新增

      Returns:
        采样率

    - #### setAudioSampleRate

          public void setAudioSampleRate(AliyunVideoParam.AudioSampleRate sampleRate)

      设置采样率

      v3.34.0 新增

      Parameters:
        `sampleRate` - 音频采样率

    - #### getAudioChannel

          public AliyunVideoParam.AudioChannel getAudioChannel()

      获取音频通道数

      v3.34.0 新增

      Returns:
        通道数

    - #### setAudioChannel

          public void setAudioChannel(AliyunVideoParam.AudioChannel channel)

      设置音频通道数

      v3.34.0 新增

      Parameters:
        `channel` - 音频通道数